Bug 811165 - SELinux is preventing /sbin/ldconfig from 'read' accesses on the directory /media/VBOXADDITIONS_4.1.12_77245.
SELinux is preventing /sbin/ldconfig from 'read' accesses on the directory /m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:64db64c5dbce64cd1a9a0191b22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 06:18 EDT by vbjay.net
Modified: 2013-02-13 13:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vbjay.net 2012-04-10 06:18:34 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-7.fc16.i686
reason:         SELinux is preventing /sbin/ldconfig from 'read' accesses on the directory /media/VBOXADDITIONS_4.1.12_77245.
time:           Tue 10 Apr 2012 06:12:03 AM EDT

description:
:SELinux is preventing /sbin/ldconfig from 'read' accesses on the directory /media/VBOXADDITIONS_4.1.12_77245.
:
:*****  Plugin restorecon (98.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/media/VBOXADDITIONS_4.1.12_77245 default label should be mnt_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /media/VBOXADDITIONS_4.1.12_77245
:
:*****  Plugin catchall (1.48 confidence) suggests  ***************************
:
:If you believe that ldconfig should be allowed read access on the VBOXADDITIONS_4.1.12_77245 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep ldconfig /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin leaks (1.48 confidence) suggests  ******************************
:
:If you want to ignore ldconfig trying to read access the VBOXADDITIONS_4.1.12_77245 directory, because you believe it should not need this access.
:Then you should report this as a bug.  
:You can generate a local policy module to dontaudit this access.
:Do
:# grep /sbin/ldconfig /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:iso9660_t:s0
:Target Objects                /media/VBOXADDITIONS_4.1.12_77245 [ dir ]
:Source                        ldconfig
:Source Path                   /sbin/ldconfig
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           glibc-2.14.90-24.fc16.6.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.1.0-7.fc16.i686 #1 SMP
:                              Tue Nov 1 21:00:16 UTC 2011 i686 i686
:Alert Count                   2
:First Seen                    Tue 10 Apr 2012 05:46:56 AM EDT
:Last Seen                     Tue 10 Apr 2012 06:05:22 AM EDT
:Local ID                      56749248-6cfc-475f-9958-350d75112d81
:
:Raw Audit Messages
:type=AVC msg=audit(1334052322.697:160): avc:  denied  { read } for  pid=8020 comm="ldconfig" path="/media/VBOXADDITIONS_4.1.12_77245" dev=sr0 ino=1792 scontext=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1334052322.697:160): avc:  denied  { read } for  pid=8020 comm="ldconfig" path="/media/VBOXADDITIONS_4.1.12_77245" dev=sr0 ino=1792 scontext=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:iso9660_t:s0 tclass=dir
:
:
:type=AVC msg=audit(1334052322.697:160): avc:  denied  { write } for  pid=8020 comm="ldconfig" path="/etc/shells" dev=dm-1 ino=597 scontext=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1334052322.697:160): arch=i386 syscall=execve success=yes exit=0 a0=f308a58 a1=f419360 a2=bfc02674 a3=bfc02674 items=0 ppid=1735 pid=8020 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm=ldconfig exe=/sbin/ldconfig subj=unconfined_u:system_r:ldconfig_t:s0-s0:c0.c1023 key=(null)
:
:Hash: ldconfig,ldconfig_t,iso9660_t,dir,read
:
:audit2allow
:
:#============= ldconfig_t ==============
:allow ldconfig_t etc_t:file write;
:allow ldconfig_t iso9660_t:dir read;
:
:audit2allow -R
:
:#============= ldconfig_t ==============
:allow ldconfig_t etc_t:file write;
:allow ldconfig_t iso9660_t:dir read;
:
Comment 1 Fedora End Of Life 2013-01-16 10:45:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 13:54:47 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.